package de.hft.stuttgart.citydoctor2.webservice.utils;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Base64;

public class HashUtils {
	
	private HashUtils() {
		// only static use
	}
	
	public static String createPasswordHash(String password, String salt) throws NoSuchAlgorithmException {
		MessageDigest digest = MessageDigest.getInstance("SHA-256");
		digest.update(salt.getBytes());
		digest.update(password.getBytes());
		return Base64.getEncoder().encodeToString(digest.digest());
	}

}
